Description

Hi,

Discovered the following. (Open the ADTF examples project to reproduce)

Renaming a session in the “Sessions” view just renames the session in the .adtfproject file. The session name in the .adtfsession file

stays the same.

Now all the tools take the name of the session from the .adtfsession file.

GUI-Control

Session Editor

Qt Xsystem service (guess comes via ADTF launcher)

Consequence: Renaming leads to high inconsistency. There seems to be no option to rename the name of the session in the

.adtfsession file. The inconsistency can be also inspected with adtf_example_project.adtfproject in ADTF 3.14. Obviously someone

renamed the session name in the Sessions view and additionally moved the .adtfsession file but did not change the session name in

the .adtfsession file.

Suggestion to fix:

Avoid this inconsistency in the adtf_examples project

In Display Toolbox Example Project eliminate the Streaming Graph

Suggestion to improve:

Renaming a session should rename it in both files the .adtfproject and the .adtfsession file

Ideally also the name of the .adtfsession file and the session directory should be changed

Concerning the session directory there is a further inconsistency:

In the examples projects each of the .adtf_session files are in a session directory of the same name, where we also find graph and

system files.

However when I create a new session “test” from the “Sessions” view the test.adtfsession file is created directly in the “adtfsessions”

folder. When I run the ADTF launcher additionally

a folder “test” in “adtfsessions” is created that is parallel to the test.adtfsession file.

a file “test.adtfuilayout” parallel to test.adtfsession is created.

The “test” folder will always stay empty. When I create a new project the default session and the default graph will also stay in the

adtfsessions directory of the project. There is no default_session subdirectory.

Not sure what the expected behaviour should be but maybe could make sense that the Configuration Editor (when creating a new

session or project) creates for the session a session directory of the same name inside the “adtfsessions” folder and places the

.adtfsession file there.

Lösung
Bug Ticket created:

[ACORE-11507] - Renaming an adtfsession, adtfgraph or adtfsystem file does not automatically update name in Session Editor

History

#1 - 2022-04-26 08:51 - hidden

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Topic set to ADTF::CE

- Project changed from Public Support to 7

- Status changed from New to In Progress

#2 - 2022-04-26 12:08 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-11507

Hi,

how did you rename the session in the session view?

Or how did you check if the rename was sucessful?

The rename of the *.adtfsession file worked on our side. Both the info within the adtfproject and the .adtfsession file was renamed.

This part of the report was not reproducible.

However, the information of the rename was/is not directly updated in the Session Editor.

Also the session sub folder was/is not renamed.

We created a product ticket for this behavior. ACORE-11507

We also included the problem with the created session sub folder for a new session.

Kind regards

Matthias

#3 - 2022-04-27 13:33 - hidden

- File clipboard-202204271531-css5z.png added

Yeah you are right, after some time it seems to get updated also in the ADTF session file.

I was confused by the original examples project, which had the inconsistent names as described.

See for example when I launche the "Visualization using Qt Media Descriptio ..." the launcher has the session called "Demo MD Display Session"
clipboard-202204271531-css5z.png 

This leads to the problem reported in the other ticket https://support.digitalwerk.net/issues/17324 (since the ADTF launcher and the ADTF

Configuration Editor Session View do not agree on the session name),

Best regards,

Jochen

#4 - 2022-04-29 12:22 - hidden

- File clipboard-202204291422-n6slm.png added

Evtl. noch als Ergänzung für das Session-Editor Ticket.

Auch der Update beim Renaming und Graph functioniert nicht richtig.Ich hab die Default Graphs und Systems umbenannt, und scheint auch alles

richtig upgedated zu sein, lediglich der Session Editor zeigt noch das nicht mehr existierend File.
#5 - 2022-05-02 06:24 - hidden

- Project changed from 7 to Public Support

- Subject changed from Renaming the session does not rename the .adtfsession file to Renaming the session does not rename the .adtfsession file in

Session Editor

- Description updated
- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

Hallo Jochen,

ich habe den Titel entsprechend angepasst:

[ACORE-11507] - Renaming an adtfsession, adtfgraph or adtfsystem file does not automatically update name in Session Editor

Das Model wird zwar aktualisiert, der Refresh zum QML allerdings nicht getriggert.

Wird sich damit automatisch ergeben, wenn der CE in kommenden PIs modularer umgebaut worden ist und der Session Editor ein modaler Dialog

wird, damit wird er immer neu getriggert.

Bis dahin Known Problem.

#7 - 2023-02-09 07:58 - hidden

- Status changed from To Be Closed to Closed
